org.codehaus.plexus.component.annotations

## Annotation Type Configuration

    @Documented
     @Retention(value=RUNTIME)
     @Target(value=FIELD)
     @Inherited
    public @interface Configuration

Marks a field as a configuration element with a default falue.

Version:
  $Id: Configuration.java 6916 2007-09-30 18:40:35Z user57 $

### Required Element Summary

Required Elements
`java.lang.String` `value`

### Optional Element Summary

Optional Elements
`java.lang.String` `name`

### Element Detail

#### value

    public abstract java.lang.String value

#### name

    public abstract java.lang.String name

Default:
  ""